RC page - the page jumps when filter capsules are clicked while searching
Closed, ResolvedPublic

Description

This is the issue that is happening only when a filter capsule is clicked for filters selected via search. First gif below

  1. On RC page, type 'new' to search for the filter 'Newcomers'. The suggestion appears - select the 'Newcomers' filter.
  2. Without dismissing the drop-down menu with the suggestion - click on the 'Newcomers' capsule. The first click will remove typed 'new' search criteria, the second click will make the page moves up unnecessarily.

There are several cases of unnecessary jumpiness while searching for filters and then clicking on filter capsules. Most notable jumpiness comes when clicking on capsule for a filter that is NOT present among the search results. Second gif below

  1. Make sure you have at least one filter selected
  2. Perform a search, so that your currently selected filter(s) are not shown in the search results
  3. Clicking on the capsules of selected filters (not available in search results) gives following results:
    • The first click removes search criteria
    • Second click takes you to the top
    • Subsequent clicks make the page jump up and down (Probably menu list is searched for the capsule clicked filter, but since there is no such filter in results, you only get returned to the top of the page).
Clicked filter exists in resultsClicked filter does NOT exist in results
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 18 2017, 11:24 PM

Clicking on that tag is, luckily, not a very common pattern I wouldn't think. But what you have found is weird. I wonder why clicking the tag is scrolling the page? @Mooeypoo, does it, perhaps, think that it's scrolling the menu? This only happens when the menu is shortened because the user has searched...

Petar.petkovic renamed this task from RC page - the page jumps up when selected filter capsule is clicked to RC page - the page jumps when filter capsules are clicked while searching.Dec 6 2017, 12:26 PM
Petar.petkovic updated the task description. (Show Details)

I also found what may be a related issue: clicking on the checkboxes to select a filter sometimes seems to produce a jump, as illustrated below:

Change 397779 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/core@master] Prevent page jumps on filter capsule click

https://gerrit.wikimedia.org/r/397779

Change 397996 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Synchronize input with menu filters

https://gerrit.wikimedia.org/r/397996

Change 397779 abandoned by Petar.petkovic:
Prevent page jumps on filter capsule click

Reason:
If575f34870 is set to fix the issues this patch was trying to prevent.

https://gerrit.wikimedia.org/r/397779

Change 397996 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Create one single source of truth for item display

https://gerrit.wikimedia.org/r/397996

Checked all cases of jumpiness (two reported in the ticket and one mentioned by @Pginer-WMF ) - the jumpiness has been fixed.

Etonkovidova closed this task as Resolved.Dec 26 2017, 1:39 AM